#include <bits/stdc++.h>
using namespace std;
int main () {
	int n,q,k;
	cin>>n>>q>>k;
	int p[n+1];
	for (int i=1; i<=n; i++){
		cin>>p[i];
	}
	int l,r;
	map <int,int> mp;
	while (q--){
		cin>>l>>r;
		for (int i=l; i<=r; i++){
			mp[p[i]]=i;
		}
		for (int i=l; i<=r; i++){
			p[i]=mp[i];
		}
	}
	cout<<p[k];
}
